Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IM Profile
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.siemens.icm.io.file
Interface FileSystemListener

public interface FileSystemListener

This class is used for receiving status notification when adding or removing a file system root. This can be achieved by inserting or removing a card from a device or by mounting or unmounting file systems to a device.

Since:
  FileConnection 1.0
See Also:
  `FileConnection`

Field Summary
`static int` | `ROOT_ADDED` Constant indicating that a file system root has been added to the device.
`static int` | `ROOT_REMOVED` Constant indicating that a file system root has been removed from the device.

Method Summary
`void` | `rootChanged(int state, String rootName)` This method is invoked when a root on the device has changed state.

Field Detail

### ROOT_ADDED

    public static final int ROOT_ADDED

  Constant indicating that a file system root has been added to the device.

  See Also:
    Constant Field Values

### ROOT_REMOVED

    public static final int ROOT_REMOVED

  Constant indicating that a file system root has been removed from the device.

  See Also:
    Constant Field Values

Method Detail

### rootChanged

    public void rootChanged(int state,
                            String rootName)

  This method is invoked when a root on the device has changed state.

  Parameters:
    `state` - int representing the state change that has happened to the root.
    `rootName` - the String name of the root, following the root naming conventions detailed in FileConnection.
  Throws:
    `IllegalArgumentException` - if `state` has a negative value or is not one of the legal acceptable constants.
    `NullPointerException` - if `rootName` is `null`.
  See Also:
    `FileConnection`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IM Profile
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a comment or suggestion Version 2.0 of IM Profile Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries. Copyright (c) 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road,Palo Alto, California, 94303, U.S.A. All Rights Reserved.